Limits
Base URL: https://app.neuroflash.com/api/brand-voice-service
Check brand voice creation limits for your workspace.
Returns brand voice limits
GET
/v1/workspaces/{workspaceId}/brand-voice-limitsRetrieve details of a brand voice limits.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
workspaceId | string | Yes | Workspace ID (uuid4) |
Response
FieldTypeDescription
advancedRulesobject
availablebooleancurrentUsageintegerisUnlimitedbooleanlimitintegercreateobject
availablebooleancurrentUsageintegerisUnlimitedbooleanlimitintegerExample
- cURL
- Python
- Node.js
- Go
curl "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voice-limits" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
f"https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brand-voice-limits",
headers={"Authorization": f"Bearer {token}"},
).json()
const response = await fetch(
`https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/${workspaceId}/brand-voice-limits`,
{ headers: { Authorization: `Bearer ${token}` } }
).then((r) => r.json());
req, _ := http.NewRequest("GET", "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/"+workspaceID+"/brand-voice-limits", nil)
req.Header.Set("Authorization", "Bearer "+token)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
Response:
{
"advancedRules": {
"available": false,
"currentUsage": 0,
"isUnlimited": false,
"limit": 0
},
"create": {
"available": false,
"currentUsage": 0,
"isUnlimited": false,
"limit": 0
}
}